<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<?php 
  $vw_magazine_archive_year  = get_the_time('Y');
  $vw_magazine_archive_month = get_the_time('m');
  $vw_magazine_archive_day   = get_the_time('d');
?>
<main id="maincontent" role="main">
  <?php do_action( 'vw_magazine_before_slider' ); ?>

  <?php if(get_theme_mod('vw_magazine_post_carousel_category','' != '')){?>
    <section class="custom-container" id="post-carousel">
      <div style="width:100%;">
        <div id="scrollslider" class="scrollSlider">
          <div class="viewport">
            <div class="overview">
                <?php
                if ( get_query_var('paged') ) {
                  $vw_magazine_slider_page = get_query_var('paged'); 
                } elseif ( get_query_var('page') ) { 
                  $vw_magazine_slider_page = get_query_var('page'); 
                } else { 
                  $vw_magazine_slider_page = 1; 
                }
                $args = array(
                  'post_type' => 'post',
                  'post_status' => 'publish','category_name' =>  get_theme_mod('vw_magazine_post_carousel_category'),
                  'posts_per_page' =>  -1
                );?>
                <?php
                $new = new WP_Query($args); 
                $loop_index = 0; $i=1;
                while ( $new->have_posts() ){
                $new->the_post();  ?>
                <div class="single_post">
                  <div class="pcontent-box">
                    <div class="post-carousel-col">
                      <div class="posts_cat_share">
                        <div class="posts_cat_btn"><?php the_category() ?></div>
                      </div>
                      <?php if (has_post_thumbnail()){ ?>
                        <div class="post-carousel-image">
                          <?php the_post_thumbnail(); ?>
                        </div>
                      <?php } ?>
                      <div class="posts_box">
                        <h1><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                        <p class="auther-info">                      
                          <i class="fas fa-user"></i>
                            <span class="author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php echo esc_html('By '); the_author(); ?><span class="screen-reader-text"><?php echo esc_html('By '); the_author(); ?></span></a></span>
                          <i class="fas fa-clock"></i>
                            <span class="date"><a href="<?php echo esc_url( get_day_link( $vw_magazine_archive_year, $vw_magazine_archive_month, $vw_magazine_archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span>
                        </p>
                      </div>
                      <div class="post-carousel-overlay">
                        
                      </div>
                    </div>
                  </div>
                </div>
                <?php $i++; } ?>
            </div>
          </div>
          <div class="scrollbar">
            <div class="track"></div>
          </div>
        </div>
      </div>    
        <div class="clearfix"></div>
    </section>
  <?php }?>

  <?php do_action( 'vw_magazine_after_slider' ); ?>

  <?php if(get_theme_mod('vw_magazine_latest_post_title','' != ''|| get_theme_mod( 'vw_magazine_latest_post_category' )!= '')){?>
    <section id="latest_post">
      <div class="container">
        <?php if(get_theme_mod('vw_magazine_latest_post_title','' != '')){?>
          <div class="headingbox">
            <div class="heading-outer">
              <div class="heading-title">
                <h2><?php echo esc_html(get_theme_mod('vw_magazine_latest_post_title','')); ?></h2>
              </div>
            </div>
          </div>
        <?php }?>
        <div class="owl-carousel mt-4">
          <?php
            $args = array(
              'post_type' => 'post',
              'post_status' => 'publish',
              'category_name' =>  get_theme_mod('vw_magazine_latest_post_category'),
              'posts_per_page' =>  -1
            );?>
            <?php
            $new = new WP_Query($args); 
            $loop_index = 0; $i=1;
             while ( $new->have_posts() ){
              $new->the_post();  ?>
              <div class="<?php if($i == 1){ echo 'active';}?>"> 
                <div class="single_post">
                  <div class="pcontent-box">
                    <div class="post-carousel-col">
                      <div class="posts_cat_share">
                        <div class="posts_cat_btn"><?php the_category() ?></div>
                      </div>
                      <?php if (has_post_thumbnail()){ ?>
                        <div class="post-carousel-image">
                          <?php the_post_thumbnail(); ?>
                        </div>
                      <?php } ?>                
                      <div class="post-carousel-overlay">
                        
                      </div>                
                    </div>
                  </div>
                  <div class="latest_posts_box">
                    <h3><a href="<?php the_permalink(); ?>"><?php echo esc_html(the_title()); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h3>
                    <p class="auther-info">                      
                      <i class="fas fa-user"></i>
                        <span class="author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php echo esc_html('By '); the_author(); ?><span class="screen-reader-text"><?php echo esc_html('By '); the_author(); ?></span></a></span>
                      <i class="fas fa-clock"></i>
                        <span class="date"><a href="<?php echo esc_url( get_day_link( $vw_magazine_archive_year, $vw_magazine_archive_month, $vw_magazine_archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span>
                    </p>
                  </div>
                </div>
              </div>
            <?php $i++; }
            wp_reset_query(); ?>
        </div>
      </div>
    </section>
  <?php }?>

  <?php do_action( 'vw_magazine_after_latest_posts' ); ?>

  <div class="container">
    <?php while ( have_posts() ) : the_post(); ?>
      <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</main>

<?php get_footer(); ?>